pub struct InternalTelemetryAPIWorker { /* private fields */ }Expand description
A worker that exposes the process’s internal telemetry on the unprivileged API endpoint.
Asserts these routes on the unprivileged endpoint:
GET /metrics: the full aggregated metrics state, rendered as Prometheus text exposition.GET /compat/metrics, when compatibility remapper rules are configured: the subset of metrics that match the rules, rendered with their remapped names.
Implementations§
Source§impl InternalTelemetryAPIWorker
impl InternalTelemetryAPIWorker
Sourcepub fn new(compat_remapper_rules: Option<Vec<RemapperRule>>) -> Self
pub fn new(compat_remapper_rules: Option<Vec<RemapperRule>>) -> Self
Creates a new InternalTelemetryAPIWorker.
When compat_remapper_rules is Some, the worker also serves /compat/metrics with those rules.
Trait Implementations§
Source§impl Supervisable for InternalTelemetryAPIWorker
impl Supervisable for InternalTelemetryAPIWorker
Source§fn initialize<'life0, 'async_trait>(
&'life0 self,
process_shutdown: ShutdownHandle,
) -> Pin<Box<dyn Future<Output = Result<SupervisorFuture, InitializationError>> + Send + 'async_trait>>where
Self: 'async_trait,
'life0: 'async_trait,
fn initialize<'life0, 'async_trait>(
&'life0 self,
process_shutdown: ShutdownHandle,
) -> Pin<Box<dyn Future<Output = Result<SupervisorFuture, InitializationError>> + Send + 'async_trait>>where
Self: 'async_trait,
'life0: 'async_trait,
Initializes the process asynchronously. Read more
Source§fn shutdown_strategy(&self) -> ShutdownStrategy
fn shutdown_strategy(&self) -> ShutdownStrategy
Returns the shutdown strategy for the process.
Source§fn wants_shutdown_signal(&self) -> bool
fn wants_shutdown_signal(&self) -> bool
Returns whether this process observes the shutdown signal it is given. Read more
Source§fn can_restart(&self) -> bool
fn can_restart(&self) -> bool
Returns whether the process can be started again after it has started once. Read more
Auto Trait Implementations§
impl Freeze for InternalTelemetryAPIWorker
impl RefUnwindSafe for InternalTelemetryAPIWorker
impl Send for InternalTelemetryAPIWorker
impl Sync for InternalTelemetryAPIWorker
impl Unpin for InternalTelemetryAPIWorker
impl UnsafeUnpin for InternalTelemetryAPIWorker
impl UnwindSafe for InternalTelemetryAPIWorker
Blanket Implementations§
Source§impl<T> BorrowMut<T> for Twhere
T: ?Sized,
impl<T> BorrowMut<T> for Twhere
T: ?Sized,
Source§fn borrow_mut(&mut self) -> &mut T
fn borrow_mut(&mut self) -> &mut T
Mutably borrows from an owned value. Read more
Source§impl<T> Instrument for T
impl<T> Instrument for T
Source§fn instrument(self, span: Span) -> Instrumented<Self>
fn instrument(self, span: Span) -> Instrumented<Self>
Source§fn in_current_span(self) -> Instrumented<Self>
fn in_current_span(self) -> Instrumented<Self>
Source§impl<T> IntoRequest<T> for T
impl<T> IntoRequest<T> for T
Source§fn into_request(self) -> Request<T>
fn into_request(self) -> Request<T>
Wrap the input message
T in a tonic::RequestSource§impl<T> Pointable for T
impl<T> Pointable for T
§impl<T> Track for T
impl<T> Track for T
§fn track_resources(self, token: ResourceGroupToken) -> Tracked<Self>
fn track_resources(self, token: ResourceGroupToken) -> Tracked<Self>
Instruments this type by attaching the given resource group token, returning a
Tracked wrapper. Read more§fn in_current_resource_group(self) -> Tracked<Self>
fn in_current_resource_group(self) -> Tracked<Self>
Instruments this type by attaching the current resource group, returning a
Tracked wrapper. Read more